<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="AccKasBankList"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.zoom" value="1.2418426461183107" />
	<property name="ireport.x" value="0" />
	<property name="ireport.y" value="0" />
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="toko" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2013-01-01"]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select * from fn_rpt_acc_kas_bank($P{tanggal1}) as (acc_no varchar, acc_name varchar, saldo double precision, sub_acc_of varchar)]]></queryString>

	<field name="acc_no" class="java.lang.String"/>
	<field name="acc_name" class="java.lang.String"/>
	<field name="saldo" class="java.lang.Double"/>
	<field name="sub_acc_of" class="java.lang.String"/>

	<variable name="nomor" class="java.lang.Integer" resetType="Report" calculation="Count">
		<variableExpression><![CDATA[$F{acc_no}]]></variableExpression>
		<initialValueExpression><![CDATA[new Integer(0)]]></initialValueExpression>
	</variable>
	<variable name="totBayar" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{saldo}]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="77"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="535"
						height="24"
						key="textField"/>
					<box></box>
					<textElement verticalAlignment="Middle">
						<font fontName="Tahoma" size="14" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{toko}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="24"
						width="535"
						height="16"
						key="staticText-32"/>
					<box></box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font fontName="Tahoma" size="11" isBold="true"/>
					</textElement>
				<text><![CDATA[Daftar Akun Kas & Bank]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="58"
						y="40"
						width="477"
						height="16"
						key="textField-23"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font isBold="true" isUnderline="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{tanggal1}.substring(8,10)+ $P{tanggal1}.substring(4,7)+'-'+$P{tanggal1}.substring(0,4)]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="40"
						width="58"
						height="16"
						key="staticText-33"/>
					<box></box>
					<textElement>
						<font isBold="true"/>
					</textElement>
				<text><![CDATA[Per Tgl. :]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="0"
						y="62"
						width="53"
						height="15"
						key="staticText-16"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[No. Akun]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="374"
						y="62"
						width="88"
						height="15"
						key="staticText-18"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[Saldo]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="53"
						y="62"
						width="321"
						height="15"
						key="staticText-17"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[Nama Akun]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="462"
						y="62"
						width="73"
						height="15"
						key="staticText-16"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9" isBold="true"/>
					</textElement>
				<text><![CDATA[Akun Induk]]></text>
				</staticText>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="14"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="53"
						height="14"
						key="textField-11"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{acc_no}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="53"
						y="0"
						width="321"
						height="14"
						key="textField-9"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{acc_name}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="374"
						y="0"
						width="88"
						height="14"
						key="textField-9"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="9" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{saldo}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="462"
						y="0"
						width="73"
						height="14"
						key="textField-9"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{sub_acc_of}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="31"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="415"
						y="0"
						width="80"
						height="16"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Right">
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page "+$V{PAGE_NUMBER}+" of"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="495"
						y="0"
						width="40"
						height="16"
						key="textField"/>
					<box></box>
					<textElement>
						<font size="9"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="27"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="#,##0.00" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="374"
						height="14"
						key="textField-12"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["TOTAL"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="374"
						y="0"
						width="88"
						height="14"
						key="textField-9"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="2">					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{totBayar}]]></textFieldExpression>
				</textField>
			</band>
		</summary>
</jasperReport>
